проблема с обновлением.

Ответить
papahander
Сообщения: 43
Зарегистрирован: 12 ноя 2015, 20:35
Operating system: rosa fresh R6

проблема с обновлением.

Сообщение papahander » 21 ноя 2019, 19:58

При очередном штатном обновлении выскакивает ошибка: "Ошибка! Пакет, который вы пытаетесь установить/обновить конфликтует с уже установленным, их невозможно инсталлировать одновременно!
Пожалуйста проверьте, подключены ли источники с обновлениями, и попробуйте еще раз.
Если вы знаете, что делаете, то вы можете удалить конфликтующие пакеты либо произвести установку в консоли с автоматическим удалением конфликтующих пакетов.
Помните, что все пакеты, зависимые от удаляемых, также будут удалены. Это может привести к неработоспособности всей системы!
----------------
Следующий пакет будет удалён для обновления остальных:
systemd-243-19-rosa2016.1.x86_64
(чтобы установить systemd-243-19-rosa2016.1.x86_64)".

Соглашаюсь на удаление и все заканчивается сообщением, что не найден пакет для установки.
Буду признателен за помощь.

va9(2)
Сообщения: 225
Зарегистрирован: 20 окт 2015, 08:06
Operating system: RF.KDE5.R11.x86_64

проблема с обновлением.

Сообщение va9(2) » 22 ноя 2019, 08:16

Кто с этим сталкивался пишут, что выполнение этой команды устраняет конфликт:

Код: Выделить всё

sudo urpmi --replacepkgs systemd-243

papahander
Сообщения: 43
Зарегистрирован: 12 ноя 2015, 20:35
Operating system: rosa fresh R6

проблема с обновлением.

Сообщение papahander » 22 ноя 2019, 20:04

Спасибо, помогло

Аватара пользователя
Sartorius
Сообщения: 320
Зарегистрирован: 02 ноя 2016, 20:39
Operating system: ROSA Fresh 2014
Откуда: Из нашей Галактики

проблема с обновлением.

Сообщение Sartorius » 23 ноя 2019, 15:33

va9(2) писал(а):
22 ноя 2019, 08:16
Кто с этим сталкивался пишут, что выполнение этой команды устраняет конфликт:

Код: Выделить всё

sudo urpmi --replacepkgs systemd-243
А с чем связана эта проблема?
AMD FX-8350/ASUS SABERTOOTH 990FX/ASUS GTX-950/8 Gb RAM
"Боинг... [CENSORED], не летит... то ли шимпанзе, которую посадили за штурвал не выспалась, то ли гориллу надо было сажать. Но нет... это что-то с Боингом не так..." (с)

va9(2)
Сообщения: 225
Зарегистрирован: 20 окт 2015, 08:06
Operating system: RF.KDE5.R11.x86_64

проблема с обновлением.

Сообщение va9(2) » 23 ноя 2019, 16:41

Sartorius, возможно, из-за того, что пакет изменился, а номер его версии нет... Но это не точно :oops:
Последний раз редактировалось va9(2) 24 ноя 2019, 11:08, всего редактировалось 1 раз.

bbv62
Сообщения: 31
Зарегистрирован: 18 ноя 2018, 22:30
Operating system: Rosa

проблема с обновлением.

Сообщение bbv62 » 23 ноя 2019, 18:17

va9(2) писал(а):
22 ноя 2019, 08:16
что выполнение этой команды устраняет конфликт:
А мне не помогло.
Зато

Код: Выделить всё

sudo urpmi --auto-update
прекрасно справился.

va9(2)
Сообщения: 225
Зарегистрирован: 20 окт 2015, 08:06
Operating system: RF.KDE5.R11.x86_64

проблема с обновлением.

Сообщение va9(2) » 24 ноя 2019, 10:56

bbv62 писал(а):
23 ноя 2019, 18:17
va9(2) писал(а):
22 ноя 2019, 08:16
что выполнение этой команды устраняет конфликт:
А мне не помогло.
Зато

Код: Выделить всё

sudo urpmi --auto-update
прекрасно справился.
Похоже, что все таки помогло...
А вообще, нужно смотреть на какую версию systemd ругается и ту подставлять к sudo urpmi --replacepkgs
У papahander, например, systemd-243
У DenisAndreev — systemd-219
У DaniilGolovlev, kalmblk, VictorK — systemd-230

bbv62
Сообщения: 31
Зарегистрирован: 18 ноя 2018, 22:30
Operating system: Rosa

проблема с обновлением.

Сообщение bbv62 » 24 ноя 2019, 23:47

va9(2) писал(а):
24 ноя 2019, 10:56
Похоже, что все таки помогло...
Вряд-ли. Эта проблема возникает на обоих компах с Росой.
Обычно через терминал при этом и обновляюсь. Так и в этот раз на одном.
После увидел этот пост, и решил попробовать с systemd на втором. Всуе.
После перезагрузки штатное обновление опять пасануло.
--auto-update, как всегда, с вопросами, но без заморочек отработало.

keleg
Сообщения: 5425
Зарегистрирован: 15 сен 2011, 01:58

проблема с обновлением.

Сообщение keleg » 25 ноя 2019, 15:02

эта ошибка в новом systemd должна быть исправлена и больше не будет появляться.

Аватара пользователя
Barmalei
Сообщения: 4852
Зарегистрирован: 29 дек 2014, 15:45
Operating system: Intel Pentium 2020M / 6 Gb RAM / AMD GRadeon HD 8570 / Rosa Fresh R11 KDE4 2016.1 x64

проблема с обновлением.

Сообщение Barmalei » 25 ноя 2019, 15:34

keleg писал(а):
25 ноя 2019, 15:02
эта ошибка в новом systemd должна быть исправлена и больше не будет появляться.
Почему она не у всех?

zrpg
Сообщения: 183
Зарегистрирован: 11 фев 2017, 07:02
Operating system: ROSA Desktop Fresh R10. Выпуск 2016.1 для x86_64

проблема с обновлением.

Сообщение zrpg » 04 дек 2019, 16:24

У меня тоже эта ошибка. --replacepkgs и --clean и urpm-reposync не помогли.

Код: Выделить всё

 # urpmi --auto-update
medium "Main" is up-to-date
medium "Main Updates" is up-to-date
medium "Main32" is up-to-date
medium "Main32 Updates" is up-to-date
medium "Contrib" is up-to-date
medium "Contrib Updates" is up-to-date
medium "Non-free" is up-to-date
medium "Non-free Updates" is up-to-date
medium "Non-free32" is up-to-date
medium "Non-free32 Updates" is up-to-date
medium "Restricted" is up-to-date
medium "Restricted Updates" is up-to-date
medium "Restricted32" is up-to-date
medium "Restricted32 Updates" is up-to-date
medium "loader" is up-to-date
The following package has to be removed for others to be upgraded:
systemd-243-19-rosa2016.1.x86_64
 (in order to install systemd-243-19-rosa2016.1.x86_64) (y/N) y
To satisfy dependencies, the following package is going to be installed:
 Package                        Version      Release       Dist  DEpoch Arch 
(medium "Main Updates")
 systemd                        243          19            rosa  2016.1 x86_64 
19MB of disk space will be freed.
2.9MB of packages will be retrieved.
Proceed with the installation of one package? (Y/n) 
    http://mirror.rosalab.ru/rosa/rosa2016.1/repository/x86_64/: media/main/updates/systemd-243-19-rosa2016.1.x86_64.rpm
                                                                                                                                     

installing systemd-243-19-rosa2016.1.x86_64.rpm from /var/cache/urpmi/rpms
Preparing...                     ###################################################################################################
Installation failed:	package systemd-243-19.x86_64 is already installed
While some packages may have been installed, there were failures.
The following package has to be removed for others to be upgraded:
systemd-243-19-rosa2016.1.x86_64
 (in order to install systemd-243-19-rosa2016.1.x86_64)

# urpmi --replacepkgs systemd-243


installing systemd-243-19-rosa2016.1.x86_64.rpm from /var/cache/urpmi/rpms
Preparing...                     ###################################################################################################
      1/1: systemd               ###################################################################################################
/usr/lib/tmpfiles.d/initscripts.conf:2: Line references path below legacy directory /var/run/, updating /var/run/netreport → /run/netreport; please update the tmpfiles.d/ drop-in file accordingly.
/usr/lib/tmpfiles.d/mandriva.conf:13: Line references path below legacy directory /var/run/, updating /var/run/screen/* → /run/screen/*; please update the tmpfiles.d/ drop-in file accordingly.
/usr/lib/tmpfiles.d/lightdm.conf:1: Line references path below legacy directory /var/run/, updating /var/run/lightdm → /run/lightdm; please update the tmpfiles.d/ drop-in file accordingly.
/usr/lib/tmpfiles.d/mdadm.conf:1: Line references path below legacy directory /var/run/, updating /var/run/mdadm → /run/mdadm; please update the tmpfiles.d/ drop-in file accordingly.
/usr/lib/tmpfiles.d/pam.conf:1: Line references path below legacy directory /var/run/, updating /var/run/console → /run/console; please update the tmpfiles.d/ drop-in file accordingly.
/usr/lib/tmpfiles.d/pam.conf:2: Line references path below legacy directory /var/run/, updating /var/run/faillock → /run/faillock; please update the tmpfiles.d/ drop-in file accordingly.
/usr/lib/tmpfiles.d/pam.conf:3: Line references path below legacy directory /var/run/, updating /var/run/sepermit → /run/sepermit; please update the tmpfiles.d/ drop-in file accordingly.
/usr/lib/tmpfiles.d/ppp.conf:1: Line references path below legacy directory /var/run/, updating /var/run/ppp → /run/ppp; please update the tmpfiles.d/ drop-in file accordingly.
/usr/lib/tmpfiles.d/ppp.conf:2: Line references path below legacy directory /var/run/, updating /var/run/ppp/resolv.conf → /run/ppp/resolv.conf; please update the tmpfiles.d/ drop-in file accordingly.
/usr/lib/tmpfiles.d/samba.conf:1: Line references path below legacy directory /var/run/, updating /var/run/samba → /run/samba; please update the tmpfiles.d/ drop-in file accordingly.
/usr/lib/tmpfiles.d/screen.conf:2: Line references path below legacy directory /var/run/, updating /var/run/screen → /run/screen; please update the tmpfiles.d/ drop-in file accordingly.
/usr/lib/tmpfiles.d/sddm.conf:1: Line references path below legacy directory /var/run/, updating /var/run/sddm → /run/sddm; please update the tmpfiles.d/ drop-in file accordingly.
/usr/lib/tmpfiles.d/spice-vdagentd.conf:2: Line references path below legacy directory /var/run/, updating /var/run/spice-vdagentd → /run/spice-vdagentd; please update the tmpfiles.d/ drop-in file accordingly.
/usr/lib/tmpfiles.d/sudo.conf:5: Line references path below legacy directory /var/run/, updating /var/run/sudo → /run/sudo; please update the tmpfiles.d/ drop-in file accordingly.
/usr/lib/tmpfiles.d/sudo.conf:6: Line references path below legacy directory /var/run/, updating /var/run/sudo/ts → /run/sudo/ts; please update the tmpfiles.d/ drop-in file accordingly.
/usr/lib/tmpfiles.d/xl2tpd.conf:1: Line references path below legacy directory /var/run/, updating /var/run/xl2tpd → /run/xl2tpd; please update the tmpfiles.d/ drop-in file accordingly.
cp: error writing '/boot/initramfs-4.15.0-desktop-60.7rosa-x86_64.img': No space left on device
dracut: dracut: creation of /boot/initramfs-4.15.0-desktop-60.7rosa-x86_64.img failed
ERROR: 'script' failed for 
error: %trigger(systemd-230-32.x86_64) scriptlet failed, exit status 1
cp: error writing '/boot/initramfs-4.15.0-desktop-60.7rosa-x86_64.img': No space left on device
dracut: dracut: creation of /boot/initramfs-4.15.0-desktop-60.7rosa-x86_64.img failed
ERROR: 'script' failed for 
error: %trigger(systemd-230-32.x86_64) scriptlet failed, exit status 1
Initramfs for more than 5 kernels found. That's too many and will take too long.
Will regenerate initramfs only for 5 latest kernels.
You may set MAX_KERNELS= in /etc/systemd-initramfs-gen.conf if you don't like this and rerun systemd-initramfs-gen.
/boot/initrd-4.15.0-desktop-60.7rosa-x86_64_old.img seems to belong to another OS or kernel 4.15.0-desktop-60.7rosa-x86_64_old is not installed, skipping /boot/initrd-4.15.0-desktop-60.7rosa-x86_64_old.img.
cp: error writing ‘/boot/initrd-4.15.0-desktop-60.7rosa-x86_64.img.___SDIGSH_1575465573_dTpm7xN5FL’: No space left on device
Some error occured, probably out of disk space, skipping /boot/initrd-4.15.0-desktop-60.7rosa-x86_64.img
/boot/initrd-4.15.0-desktop-54.3rosa-x86_64_old.img seems to belong to another OS or kernel 4.15.0-desktop-54.3rosa-x86_64_old is not installed, skipping /boot/initrd-4.15.0-desktop-54.3rosa-x86_64_old.img.
cp: error writing ‘/boot/initrd-4.15.0-desktop-54.3rosa-x86_64.img.___SDIGSH_1575465573_lCxV2CU3yM’: No space left on device
Some error occured, probably out of disk space, skipping /boot/initrd-4.15.0-desktop-54.3rosa-x86_64.img
/boot/initrd-4.15.0-desktop-54.1rosa-x86_64_old.img seems to belong to another OS or kernel 4.15.0-desktop-54.1rosa-x86_64_old is not installed, skipping /boot/initrd-4.15.0-desktop-54.1rosa-x86_64_old.img.
cp: error writing ‘/boot/initrd-4.15.0-desktop-54.1rosa-x86_64.img.___SDIGSH_1575465573_T3qygwqY7u’: No space left on device
Some error occured, probably out of disk space, skipping /boot/initrd-4.15.0-desktop-54.1rosa-x86_64.img
/boot/initrd-4.15.0-desktop-51.4rosa-x86_64_old.img seems to belong to another OS or kernel 4.15.0-desktop-51.4rosa-x86_64_old is not installed, skipping /boot/initrd-4.15.0-desktop-51.4rosa-x86_64_old.img.
cp: error writing ‘/boot/initrd-4.15.0-desktop-51.4rosa-x86_64.img.___SDIGSH_1575465573_1sfjb3gB3p’: No space left on device
Some error occured, probably out of disk space, skipping /boot/initrd-4.15.0-desktop-51.4rosa-x86_64.img
/boot/initrd-4.15.0-desktop-47.2rosa-x86_64_old.img seems to belong to another OS or kernel 4.15.0-desktop-47.2rosa-x86_64_old is not installed, skipping /boot/initrd-4.15.0-desktop-47.2rosa-x86_64_old.img.
cp: error writing ‘/boot/initrd-4.15.0-desktop-47.2rosa-x86_64.img.___SDIGSH_1575465573_GmwauoWfVO’: No space left on device
Some error occured, probably out of disk space, skipping /boot/initrd-4.15.0-desktop-47.2rosa-x86_64.img
cp: error writing ‘/boot/initrd-4.15.0-desktop-45.1rosa-x86_64.img.___SDIGSH_1575465573_sTWFqjNtnu’: No space left on device
Some error occured, probably out of disk space, skipping /boot/initrd-4.15.0-desktop-45.1rosa-x86_64.img
cp: error writing ‘/boot/initramfs-4.15.0-desktop-54.3rosa-x86_64.img.___SDIGSH_1575465573_078DwUZALo’: No space left on device
Some error occured, probably out of disk space, skipping /boot/initramfs-4.15.0-desktop-54.3rosa-x86_64.img
cp: error writing ‘/boot/initramfs-4.15.0-desktop-54.1rosa-x86_64.img.___SDIGSH_1575465573_9UOWE1ERTG’: No space left on device
Some error occured, probably out of disk space, skipping /boot/initramfs-4.15.0-desktop-54.1rosa-x86_64.img
cp: error writing ‘/boot/initramfs-4.15.0-desktop-45.1rosa-x86_64.img.___SDIGSH_1575465573_n7HtKg2R4U’: No space left on device
Some error occured, probably out of disk space, skipping /boot/initramfs-4.15.0-desktop-45.1rosa-x86_64.img
You should restart your computer for systemd
Xfce
английский язык скудный, невыразительный, торопливый, пишется и говорится по разному

Olej
Сообщения: 61
Зарегистрирован: 14 сен 2016, 14:06
Operating system: Fedora 24

проблема с обновлением.

Сообщение Olej » 04 дек 2019, 16:29

keleg писал(а):
25 ноя 2019, 15:02
эта ошибка в новом systemd
Почему эта "ошибка в новом systemd" не проявляется и неизвестна ни в одном из множества других дистрибутивов Linux?

zrpg
Сообщения: 183
Зарегистрирован: 11 фев 2017, 07:02
Operating system: ROSA Desktop Fresh R10. Выпуск 2016.1 для x86_64

проблема с обновлением.

Сообщение zrpg » 04 дек 2019, 16:57

Решил, оказывается на чистом английском программа мне писала что нет места на разделе /boot.
Посмотрел и правда нет. Почистил и --replacepkgs помог.
Xfce
английский язык скудный, невыразительный, торопливый, пишется и говорится по разному

Ответить